Bug 472639 - Review Request: Scilab - Numerical Analysis toolkit
Review Request: Scilab - Numerical Analysis toolkit
Status: CLOSED DUPLICATE of bug 750997
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On: 439630 464781 466737 468797 472736 472848 572515 690282 710115 jhdf5 733861
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-22 06:18 EST by D Haley
Modified: 2011-11-03 05:24 EDT (History)
19 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-30 02:11:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description D Haley 2008-11-22 06:18:06 EST
Spec URL: http://dhd.selfip.com/427e/scilab.spec
SRPM URL: http://dhd.selfip.com/427e/scilab-5.0.1-1.fc9.src.rpm
Description: Scilab is a scientific software package for numerical computations providing a powerful open computing environment for engineering and scientific applications.

rpmlint -iv output is empty.

Notes:
*Requires Javahelp2, which is only available in F10 (I believe). I cheated and used an RPM available here: (http://rpmfind.net/linux/RPM/fedora/devel/i386/javahelp2-2.0.05-5.fc10.noarch.html). Package review is bug 439263.
*In-program help has not been built, we probably want this.
*The makefile that is included seems to call gcc & gfortran for the install target to perform some final linking operations -- this seems very very odd. What to do? Do I need to make gcc and gfortran "Requires:" of scilab? It also really slows down the %install target of rpmbuild.
*I get a *lot* of "file listed twice" warnings from rpmbuild -- is * recursive in the %files section?

Notes to other packagers/reviewers:
*Scilab is fairly big. It takes a while to complete a build -- ~1hr on a 2.1 GHz machine. If you plan to rebuild more than once or twice, use ccache to speed it up a little (not all the time is spent on C/C++ compiling though).
*I am having problems getting PVM to link correctly, as such I have disabled it -- if anyone wants to have a shot at patching this, please do. I have left the patches that fix a few problems with PVM in there for anyone looking at it. Probably just needs someone to correct the PVM_LIB value.
*Need to set LD_LIBRARY_PATH to find JVM (libjava, libjvm, libhpi) before running scilab-bin. It can't find it for some reason
*I have not tested parallel building to see if it works, how do we test this?

Finally my upload bandwidth is not terrible, but it isn't massive, so patience when getting the SRPM :)
Comment 1 Sylvestre Ledru 2008-11-22 10:09:52 EST
The parallel build of Scilab is working. I am using it nearly every day ;)
Comment 2 D Haley 2008-11-23 01:54:25 EST
Spec URL: http://dhd.selfip.com/427e/scilab-2.spec
SRPM URL: http://dhd.selfip.com/427e/scilab-5.0.1-2.fc9.src.rpm


* Sat Nov 22 2008 <mycae(a!t)yahoo.com> 5.0.1-2
- Fix files section
- Remove pkg-config file.
- remove windows_tools dir
- Add parallel building for those with smp_mflags
- Set make target to "all" rather than blank
- Add doc files


Two issues still remain. 
* Plotting causes a java exception saying that it cannot locate gluegen, even though I manually export the SCI variable (set to %{_buildroot}/usr/share/scilab/) before running & have simlarly set LD_LIBRARY_PATH. The result is a blank plotting window.
* I still haven't worked on the documentation build.
Comment 3 D Haley 2008-11-23 03:43:17 EST
Building the documentation will require some things we don't currently have in the repository. Most notably the JEuclid project. This particular project is quite large and has a very large number of dependencies, this will probably in turn require some packages we don't have as well. A quick internet search turns up no current RPMs for that project.
Comment 4 Sylvestre Ledru 2008-11-23 05:24:18 EST
gluegen is a native library provided by JOGL (libgluegen-rt.so)
To help Scilab finding it, update etc/librarypath.xml and add the path inside.

About jeuclid, the Debian packaging is available:
http://svn.debian.org/viewsvn/debian-science/packages/jeuclid/trunk/debian/
if it helps.
Comment 5 Chitlesh GOORAH 2008-11-23 06:26:37 EST
Kwizart also was working on a scilab rpm,. To my guess, he needed matio as well for scilab:
https://bugzilla.redhat.com/show_bug.cgi?id=466737

The following is not a review blocker: 
----------------------------------------
Is it possible for you to setup a wiki page and file a simple table describing what are the options/plugins that your package is supporting ?

Perhaps on:
https://fedoraproject.org/wiki/SIGs/SciTech/Scilab

Since scilab can be used by anyone from any field of application, it will be helpful for other packagers/maintainers to know the actual situation.

It is my case, I'll recommend scilab for electronics on FEL, and will try to make my best so that fedora has the maximum compatibility with Matlab environment. Thus your wiki page(which I will help you to) will enable me to find other packagers and packages missing for the best scilab experience targeting electronic design with FEL.
Comment 6 Chitlesh GOORAH 2008-11-23 06:32:35 EST
This package requires a lot of work before approval. I'll rebuild and bring forward some review comments later today.
Comment 7 D Haley 2008-11-23 09:00:08 EST
>Is it possible for you to setup a wiki page and file a simple table describing
>what are the options/plugins that your package is supporting ?
>
>Perhaps on:
>https://fedoraproject.org/wiki/SIGs/SciTech/Scilab

The wiki page has been created.
Comment 8 Sylvestre Ledru 2008-11-23 09:12:13 EST
Nice work.
Just a short comment about this, jeuclid can be built with ant (get the build.xml from the Debian package).
Comment 9 Nicolas Chauvet (kwizart) 2008-11-23 10:40:19 EST
I've got a spec ready for 5.0.2 and was waiting for 5.0.3 to fix some problem I've reported upstream. For example, we shouldn't need to patch configure.ac for the jhall to javahelp2 jar detection (as the problem was reported upstream by me).
I've also reported a problem with the default search path for the java machine using alternatives. I will upload a 5.0.3 spec/srpm once I'm back home.

@D Haley
About this:
-----------
#Scilab installs lots of stuff to /usr/lib/debug  and /usr/src/debug/ for some reason
rm -rf /%{buildroot}/%{_libdir}/debug
-----------
Those are debuginfo extracted by rpm. If you have a problem with them , then I would suggest that you review how your builsystem is done... thoses are expected to build fine and ends in %{name}-debuginfo rpm package.



@Sylvestre
According to our packaging standard. gluegen should be built separately from jogl, as we need jogl to be 'buildable' without using 'custom' Jar files at built time. (every jar file should be removed in prep). For some reason, separating the gluegen build from jogl isn't that trivial.
Comment 10 Brennan Ashton 2008-11-24 21:22:04 EST
I am currently packaging Jeuclid there are a few java oddities that I am still trying to sort out.
Comment 11 Chitlesh GOORAH 2008-12-01 16:40:37 EST
I have downloaded the binaries from upstream and tested. Scicos has black background on F-10 and it is not possible to use it. Can you confirm whether you have it with your rpms ?
Comment 12 Brennan Ashton 2008-12-09 20:06:21 EST
jeuclid is only going to be available for F10+ due to jakarta-commons-cli 1.1 only being in F10+ and the new openjdk only F10+
Comment 13 D Haley 2008-12-20 00:27:14 EST
For general information:

N.B. This is not recommended for the feint of heart, I have done a bit of a one-two skip a few with these instructions. 

At this stage, in order to build the JOGL and gluegen deps for scilab, you need 
1) An RPM build environemnt (F9+)
2) Latest JOGL and gluegen SRPMs (for details, see bug 439630)


Steps (i386):

1) Save spec and extract sources (see comment 19 in bug 439630)
2) comment out  kwizart's patch0. from jogl spec file -- also comment out %patch0 from prep section (you can use my patch https://bugzilla.redhat.com/attachment.cgi?id=324396)
3) rpmbuild -ba gluegen.spec
4) rpmbuild -ba jogl.spec
5) install gluegen using rpm -i PATH_TO_RPM
6) install jogl using rpm -i PATH_TO_RPM
Comment 14 D Haley 2008-12-29 03:19:34 EST
SPEC URL: http://dhd.selfip.com/427e/scilab-5.0.3-1.spec
SRPM URL: http://dhd.selfip.com/427e/scilab-5.0.3-1.fc10.src.rpm

* Mon Dec 29 2008 <mycae(a!t)yahoo.com> 5.0.3-1
- Update to new scilab release (5.0.3)
- Add devel section for .h files
- Disable static libs
- Fix documentation build (added jeuclid-core)
- Fix many rpmlint warnings (devel mainly.)


There are still issues with this, the non-showing graphs still seem to elude me, even after setting (I believe) the claspath correctly in scilabs classpath.xml. Nor is the documentation being created correctly (no /usr/share/scilab/modules/helptools/jar/scilab_en_US_help.jar). However, thanks to the work of others on the deps for scilab, the help dependencies are now building appropriately (eg. jeuclid-core).

>Those are debuginfo extracted by rpm. If you have a problem with them , then I
>would suggest that you review how your builsystem is done... thoses are
>expected to build fine and ends in %{name}-debuginfo rpm package.

My understanding of the debug build process is that scilab is meant to be building all components with debugging symbols enabled. rpmbuild will subsequently generate a subset of files which have the debugging symbols and set them aside. These are then stripped using "strip" and reinstated back into the main package. AFAIK there should not be a separate folder for files with debugging information as this will distrupt the way that rpmlint operates, as it will not correctly place the files (say /usr/lib/libscilab.so) with the version that has debugging symbols, as it will simply insert /usr/lib/debug/libscilab.so, not replacing as it should.

That said I am certainly not an expert in how rpmbuild operates -- I am learning as I need.
Comment 15 D Haley 2009-01-03 01:21:41 EST
Yet another update. This mainly just cleans up the 5.0.3 spec file.

SPEC URL: http://dhd.selfip.com/427e/scilab-5.0.3-2.spec
SRPM URL: http://dhd.selfip.com/427e/scilab-5.0.3-2.fc10.src.rpm

Changelog:
* Sat Jan 03 2009 <mycae(a!t)yahoo.com> 5.0.3-2
- Fix up Requires & BuildRequires
- Work around static lib installation (disable static libs issue?)
- Trash zero length files during install
- Added missing ldconfig in post/postun
- Fix up file ownership to prevent duplicate owners
- Fix up file permissions (644->755) on executable scripts
- Fix so .so files are in -devel, .so.* are in main

I still can't track down the gluegen plotting problems. Checking scilab's classpath.xml everything looks good (in the console session below there are no "no such file" errors). If anyone can help I would really appreciate it. 

Similarly I cannot work out why the help files are not located. This is probably due to the fact that I don't understand how scilab's help system functions.

Scilab errors:

Exception in thread "AWT-EventQueue-0" java.lang.NoClassDefFoundError: Could not initialize class com.sun.opengl.impl.x11.X11GLDrawableFactory
	at java.lang.Class.forName0(Native Method)
	at java.lang.Class.forName(Class.java:186)

....

Exception in thread "AWT-EventQueue-0" java.lang.UnsatisfiedLinkError: no gluegen-rt in java.library.path
	at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1698)
	at java.lang.Runtime.loadLibrary0(Runtime.java:840)
	at java.lang.System.loadLibrary(System.java:1047)



Console session:
$ `cat $SCI/etc/classpath.xml  | grep .jar |sed 's/<path value="//' | sed 's!"/>!!' | sed 's/\" .*>//' | sed 's/\"//' | sed s/disable.*// ` | sed 's!$SCILAB!/home/makerpm/rpmbuild/BUILDROOT/usr/share/scilab/!g' > tmp && ls -l `cat tmp`
-rw-r--r-- 1 makerpm makerpm   2088 2009-01-03 12:28 /home/makerpm/rpmbuild/BUILDROOT/usr/share/scilab//modules/action_binding/jar/org.scilab.modules.action_binding.jar
-rw-r--r-- 1 makerpm makerpm   2130 2009-01-03 12:28 /home/makerpm/rpmbuild/BUILDROOT/usr/share/scilab//modules/completion/jar/org.scilab.modules.completion.jar
-rw-r--r-- 1 makerpm makerpm  42847 2009-01-03 12:28 /home/makerpm/rpmbuild/BUILDROOT/usr/share/scilab//modules/console/jar/org.scilab.modules.console.jar
-rw-r--r-- 1 makerpm makerpm  25234 2009-01-03 12:28 /home/makerpm/rpmbuild/BUILDROOT/usr/share/scilab//modules/graphic_export/jar/org.scilab.modules.graphic_export.jar
-rw-r--r-- 1 makerpm makerpm 273140 2009-01-03 12:28 /home/makerpm/rpmbuild/BUILDROOT/usr/share/scilab//modules/gui/jar/org.scilab.modules.gui.jar
-rw-r--r-- 1 makerpm makerpm  23631 2009-01-03 12:28 /home/makerpm/rpmbuild/BUILDROOT/usr/share/scilab//modules/helptools/jar/org.scilab.modules.helptools.jar
-rw-r--r-- 1 makerpm makerpm   2909 2009-01-03 12:28 /home/makerpm/rpmbuild/BUILDROOT/usr/share/scilab//modules/history_manager/jar/org.scilab.modules.history_manager.jar
-rw-r--r-- 1 makerpm makerpm  13272 2009-01-03 12:28 /home/makerpm/rpmbuild/BUILDROOT/usr/share/scilab//modules/javasci/jar/javasci.jar
-rw-r--r-- 1 makerpm makerpm   6900 2009-01-03 12:28 /home/makerpm/rpmbuild/BUILDROOT/usr/share/scilab//modules/jvm/jar/org.scilab.modules.jvm.jar
-rw-r--r-- 1 makerpm makerpm   1944 2009-01-03 12:28 /home/makerpm/rpmbuild/BUILDROOT/usr/share/scilab//modules/localization/jar/org.scilab.modules.localization.jar
-rw-r--r-- 1 makerpm makerpm 152263 2009-01-03 12:28 /home/makerpm/rpmbuild/BUILDROOT/usr/share/scilab//modules/renderer/jar/org.scilab.modules.renderer.jar
-rw-r--r-- 1 makerpm makerpm   1979 2009-01-03 12:28 /home/makerpm/rpmbuild/BUILDROOT/usr/share/scilab//modules/shell/jar/org.scilab.modules.shell.jar
-rw-r--r-- 1 root    root    478024 2008-12-21 22:26 /usr/lib/flexdock-0.5.1.jar
lrwxrwxrwx 1 root    root        26 2008-12-22 00:54 /usr/share/java//avalon-framework.jar -> avalon-framework-4.1.4.jar
lrwxrwxrwx 1 root    root        17 2008-12-22 00:53 /usr/share/java//batik-all.jar -> batik-all-1.7.jar
lrwxrwxrwx 1 root    root        25 2008-12-22 00:28 /usr/share/java//commons-logging.jar -> commons-logging-1.0.4.jar
lrwxrwxrwx 1 root    root        12 2008-12-22 00:54 /usr/share/java//fop.jar -> fop-0.95.jar
lrwxrwxrwx 1 root    root        20 2008-11-23 18:06 /usr/share/java//gluegen-rt.jar -> gluegen-rt-1.1.1.jar
lrwxrwxrwx 1 root    root        28 2008-12-21 19:30 /usr/share/java//jakarta-commons-io.jar -> jakarta-commons-io-1.3.2.jar
lrwxrwxrwx 1 root    root        20 2008-11-22 16:54 /usr/share/java//javahelp2.jar -> javahelp2-2.0.05.jar
lrwxrwxrwx 1 root    root        22 2008-12-22 01:10 /usr/share/java//jeuclid-core.jar -> jeuclid-core-3.1.3.jar
lrwxrwxrwx 1 root    root        24 2008-11-01 12:33 /usr/share/java//jgoodies-looks.jar -> jgoodies-looks-2.1.4.jar
lrwxrwxrwx 1 root    root        14 2008-12-22 01:20 /usr/share/java//jogl.jar -> jogl-1.1.1.jar
lrwxrwxrwx 1 root    root        22 2008-11-22 15:48 /usr/share/java//jrosetta-API.jar -> jrosetta-API-1.0.1.jar
lrwxrwxrwx 1 root    root        25 2008-11-22 15:48 /usr/share/java//jrosetta-engine.jar -> jrosetta-engine-1.0.1.jar
lrwxrwxrwx 1 root    root        15 2008-12-22 01:20 /usr/share/java//saxon.jar -> saxon-6.5.5.jar
lrwxrwxrwx 1 root    root        14 2008-12-21 22:25 /usr/share/java//skinlf.jar -> skinlf-6.7.jar
lrwxrwxrwx 1 root    root        27 2008-12-22 00:53 /usr/share/java//xmlgraphics-commons.jar -> xmlgraphics-commons-1.3.jar
Comment 16 Sylvestre Ledru 2009-01-03 06:20:32 EST
* gluegen issue 
It is not etc/classpath.xml but etc/librarypath.xml
classpath is used to set paths to each jar files.
librarypath is used to the set java.library.path (equivalent to LD_LIBRARY_PATH) which is the stuff used here to load the native libraries (ex: gluegen) for JNI

For example, in Debian:
$ dpkg -S libgluegen-rt.so
libjogl-jni: /usr/lib/jni/libgluegen-rt.so

$ grep /usr/lib/jni etc/librarypath.xml 
<path value="/usr/lib/jni/"/>

* Your help issue. Did you add the option --enable-build-help to the configure ?

* "Work around static lib installation (disable static libs issue?)"
=> what is the problem you had ?
Comment 17 D Haley 2009-01-03 10:43:49 EST
>* Your help issue. Did you add the option --enable-build-help to the configure
?
Yes, it is set in the configure line. (see .spec file to confirm)

>* "Work around static lib installation (disable static libs issue?)"
Static libs get built and installed even with --disable-static-libs . However they do not get used, so I have to rm them.


>$ grep /usr/lib/jni etc/librarypath.xml 
* glugen-rt is in /usr/share/java. Other components are in /usr/lib. Unlike debian. where gluegen-rt is in /usr/lib/jni/. Modifying this file to include has no effect.

We should probably move further discussions elsewhere, to not clutter up this bug too much. I'll have another crack at getting it working soon. Thanks for the input however.
Comment 18 Jason Tibbitts 2009-01-13 18:49:23 EST
Unfortunately the gluegen ticket was closed due to a non-responsive submitter, which now leaves jogl unreviewable (and hence closed as well) and this would cascade up to this package except that I'm tired of closing tickets now and I'm sure someone will complain.  Does anyone want to submit their own gluegen package and reopen and fix up the jogl ticket?
Comment 19 D Haley 2009-02-23 12:43:17 EST
Updating SRPM/SPEC to latest.

SPEC URL: http://dhd.selfip.com/427e/scilab-5.1-1.spec
SRPM URL: http://dhd.selfip.com/427e/scilab-5.1-1.fc10.src.rpm

Koji:
No, due to missing deps

Rpmlint:
$ rpmlint ../RPMS/i386/scilab-5.1-1.fc10.i386.rpm | grep -v lang
1 packages and 0 specfiles checked; 0 errors, 441 warnings.

These are due to the file extension. These are not translation files.

$ rpmlint scilab.spec  
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint ../SRPMS/scilab-5.1-1.fc10.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Known issues:

Currently scilab is affected by a bug which causes a startup crash [1]. This SRPM will, against current F10, exhibit this crash. However this should not be related to the SPEC/SRPM, and as the depends of this bug are not done, I don't see this as a huge problem


[1] http://bugzilla.scilab.org/show_bug.cgi?id=4052
Comment 20 Henrique "LonelySpooky" Junior 2009-03-04 16:46:48 EST
Hi, I'm not an experienced packager but I'll be very happy if a can help in some way.
Can I do something useful to help with this package?
Comment 21 Sylvestre Ledru 2009-03-04 16:59:34 EST
Henrique

Yep, you could help to package jogl (see bug #439630 & #439627)
Comment 22 Sylvestre Ledru 2009-03-04 17:01:28 EST
btw, D Haley, I have fixed the Scilab bug 4052 (and provided a patch)
Comment 23 D Haley 2009-03-04 20:12:16 EST
Expect an update in the next 24 hours. I have to patch & recompile. Thanks for keeping tabs on this.
Comment 24 D Haley 2009-03-05 10:13:05 EST
Spec URL: http://dhd.selfip.com/427e/scilab-5.1-2.spec
SRPM URL: http://dhd.selfip.com/427e/scilab-5.1-2.fc10.src.rpm

Koji:
No, mising deps.


rpmlint:
$ rpmlint scilab.spec ../SRPMS/scilab-5.1-2.fc10.src.rpm ../RPMS/i386/scilab-5.1-2.fc10.i386.rpm 2&>1 | grep -v lang

Changelog:
- Added patch to fix scilab bug 4052
- Minor changes to de-lint spec file
- Change java-1.6 to java for requires & buildrequires 
- Move .so back to main, as scilab 5.1 won't run without them (many java exceptions)


Known issues:
*Still affected by the gluegen-rt/jogl classpath problem. I'm not going to resolve this until gluegen/jogl packages are approved.
Comment 25 D Haley 2009-04-16 22:10:18 EDT
Spec URL: http://dhd.selfip.com/427e/scilab-5.1.1-1.spec
SRPM URL: http://dhd.selfip.com/427e/scilab-5.1.1-1.fc10.src.rpm

Koji:
No, mising deps.

rpmlint:
$ rpmlint scilab.spec ../SRPMS/scilab-5.1-2.fc10.src.rpm
../RPMS/i386/scilab-5.1-2.fc10.i386.rpm 2&>1 | grep -v lang

Changelog:
- Upgrade to 5.1.1
- Add patch to change xml-commons-external jarname
- Updated LD_LIBRARY_PATH value
- Removed patch to fix bug 4052, as this is now in upstream


Known issues:
*As per above: Still affected by the gluegen-rt/jogl classpath problem. I'm not going to resolve this until gluegen/jogl packages are approved.
Comment 26 Jason Tibbitts 2009-06-03 13:55:52 EDT
Since this is not currently reviewable (missing dependency for which there isn't even a pending review), I'm going to remove it from the review queue.  Please clear the whiteboard if this becomes reviewable.
Comment 27 Bug Zapper 2009-06-09 23:20:10 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 28 Sylvestre Ledru 2009-10-25 13:11:20 EDT
What is the status of this bug ? 
Can I help ?
Comment 29 D Haley 2009-10-25 20:47:07 EDT
Hi Sylvestre,

Its pretty stalled at the moment, waiting for someone to package the dependant bugs. 

Unfortunately gluegen + jogl are bundled together when they are run as two separate projects. Upstream do not tag their source code properly so it is difficult to work out which version of gluegen to use with which version of jogl. I decoupled the build a few times with a few different gluegen versions, only to find that that particular version of gluegen doesn't generate the needed files for jogl, so jogl wouldn't compile :( .

Bug 439630 and Bug 439627 need to be reopened with a working split of these two packages. Drop me an email and we can chat about this further, probably best to organise a chat session (IRC or jabber, whatever). KWizart and myself have half-baked packages for these bugs, which might be a useful starting point for working on this package.

If you can set up an RPM build environment prior to this (VM?), this would be great.

Thanks
Comment 30 Sylvestre Ledru 2009-10-29 11:33:26 EDT
OK, thanks for the feedback.
Is there anyway that Jogl & Gluegen could be accepted under this form into the archive ?

Building jogl & gluegen from the same tarball is not enough ?

Thanks
Comment 31 Chen Lei 2009-12-07 03:27:28 EST
I think that maybe you can use a static copy of Gluegen which are included in the jogl src like debian.
See http://packages.debian.org/sid/libjogl-java
The source of jogl can be obtained from http://download.java.net/media/jogl/builds/archive/jsr-231-1.1.1a/jogl-1.1.1a-src.zip .

Maybe scilab can build against a newer version of jogl like 2.0(http://download.java.net/media/jogl/builds/nightly/), you don't really need the exact version of jogl.
Comment 32 Henrique "LonelySpooky" Junior 2009-12-07 06:13:23 EST
Yesterday I give to jogl and gluegen a try https://bugzilla.redhat.com/show_bug.cgi?id=439627#c30 but jogl refuses to build with an external version of gluegen.
Maybe it will be easier if we build both from the same tarball
Comment 33 Chen Lei 2009-12-09 00:22:43 EST
debian includes the jogl.jar and  gluegen-rt.jar in one deb package.

http://packages.debian.org/sid/all/libjogl-java/filelist
Comment 34 Sylvestre Ledru 2009-12-21 08:30:20 EST
(In reply to comment #33)
Indeed (disclosure: I am the Debian packager of jogl), but fedora/redhat refuse that.
Comment 35 Chen Lei 2009-12-21 10:05:49 EST
Maybe you can pull sources from upstream's revision control system, in most case these can build successfully.
See https://fedoraproject.org/wiki/Packaging:SourceURL#Using_Revision_Control

Pull jogl and gluegen sources from upstream's rcs.
See http://kenai.com/projects/jogl/pages/FAQ#Get_the_Source_Code
Comment 36 Sylvestre Ledru 2009-12-21 10:11:33 EST
Chen, about jogl, please have a look to bug #439630
Comment 37 Henrique "LonelySpooky" Junior 2009-12-21 10:18:38 EST
Scilab 5.2 has been released.
Comment 38 Sylvestre Ledru 2010-01-28 11:03:58 EST
I open bug #559623 for jogl in Fedora.

Scilab 5.2.0 needs:
* jgraphx: current review: #537527
* jhdf http://www.hdfgroup.org/hdf-java-html/
You can use patches from the debian packages:
http://svn.debian.org/viewsvn/debian-science/packages/jhdf/trunk/debian/patches/
* jlatexmath http://forge.scilab.org/index.php/p/jlatexmath/

If you package latest upstream releases, some changes are necessary into Scilab code:
http://svn.debian.org/viewsvn/debian-science/packages/scilab/trunk/debian/patches/
Comment 39 Chen Lei 2010-01-31 02:05:40 EST
gentoo already import of new scilab-5.2 to its overlay.
See: http://bugs.gentoo.org/237572


ebuild: http://gentoo-overlays.zugaina.org/science/portage/sci-mathematics/scilab/
Comment 40 Henrique "LonelySpooky" Junior 2010-03-28 17:20:17 EDT
JOGL and Gluegen are, still, waiting for revision. Anybody want to take a look?

gluegen - https://bugzilla.redhat.com/show_bug.cgi?id=572512
jogl - https://bugzilla.redhat.com/show_bug.cgi?id=572515
Comment 41 Lubomir Rintel 2010-04-29 06:06:39 EDT
http://dhd.selfip.com/ times out currently. Anyone by chance has the packages?
Comment 42 Chen Lei 2010-04-29 06:21:31 EDT
(In reply to comment #41)
> http://dhd.selfip.com/ times out currently. Anyone by chance has the packages? 
 
Maybe those can help you:

From https://bugzilla.redhat.com/show_bug.cgi?id=537527

D Haley 2010-01-28 05:02:09 EST 

Sorry, The server had to be taken offline permanently. I am quite busy at the
moment but will be uploading my hosted packages to fedorahosted "soon" .

The obsolete scialb page:
http://fedoraproject.org/wiki/SIGs/SciTech/Scilab
Comment 43 D Haley 2010-04-29 06:42:37 EDT
The spec is here:

http://mycae.fedorapeople.org/SPECS/scilab.spec

I'll hunt through my files again for an SRPM in about 12 hrs.
Comment 44 D Haley 2010-04-29 17:48:37 EDT
OK, no SRPM, however the patches referred to in the spec are on at
http://mycae.fedorapeople.org/SOURCES/
Comment 45 Peter Lemenkov 2011-05-31 09:55:43 EDT
What's the status of this ticket?
Comment 46 Anders Blomdell 2011-06-28 06:12:39 EDT
Obviously not too active since 5.3.2 is out.
Comment 47 Sylvestre Ledru 2011-08-27 06:25:53 EDT
It would be nice if a fedora guy could review the package reported as #730970
Comment 48 Rex Dieter 2011-08-27 11:26:26 EDT
the spec+source-patches from mycae.fedorapeople.org seems insufficient, since I'm unable to fetch the scilab sources via the url in scilab.spec,

$ spectool -g scilab.spec 
Getting http://www.scilab.org/download/5.2.0/scilab-5.2.0-beta-1-src.tar.gz to ./scilab-5.2.0-beta-1-src.tar.gz
curl: (22) The requested URL returned error: 404
Comment 49 Rex Dieter 2011-08-27 18:05:33 EDT
An initial attempt of my own at packaging scilab-5.3.3 (on f15)

http://rdieter.fedorapeople.org/rpms/scilab/

eventually got stuck on this ./configure error:

checking saxon... no
configure: error: Could not find or use the Java package/jar saxon used by Saxon XSLT Processor (looking for package com.icl.saxon.Loader)

despite having latest/rawhide's saxon installed, need something else or newer?
Comment 50 Sylvestre Ledru 2011-08-27 18:49:52 EDT
(In reply to comment #49)
cf
http://bugzilla.scilab.org/show_bug.cgi?id=8479#c5
Comment 51 Alex G. 2011-09-14 19:05:03 EDT
Just configure it with "--disable-build-help"
Comment 52 Clément DAVID 2011-09-15 14:28:15 EDT
Spec:    http://davidclement8298.perso.neuf.fr/fedora/scilab/scilab.spec
SRPM:    http://davidclement8298.perso.neuf.fr/fedora/scilab/scilab-5.3.3-1.fc16.src.rpm
Rpmlint: http://davidclement8298.perso.neuf.fr/fedora/scilab/rpmlint.log

Hi all, I also had a try.

(In reply to comment #49)
> An initial attempt of my own at packaging scilab-5.3.3 (on f15)
Me too, I have a working full-featured scilab (with Xcos, documentation and so on).

(In reply to comment #51)
> Just configure it with "--disable-build-help"
I have build the embedded help jars successfully but I disabled saxon so I have no PDF generation see http://bugzilla.scilab.org/show_bug.cgi?id=8479 for more information.

Of course this package depends on jhdf5, in review at https://bugzilla.redhat.com/show_bug.cgi?id=730970 .

In comment ?
Comment 53 Rex Dieter 2011-10-25 15:29:40 EDT
OK, seems to me D Haley (original) submitter, last commented on 2010-04-29.  Are you still interested in maintaining this?

If not or if we don't hear from him, we probably ought to resubmit scilab from someone still able, interested, and available (Clément?)
Comment 54 Clément DAVID 2011-10-26 02:28:18 EDT
(In reply to comment #53)
> If not or if we don't hear from him, we probably ought to resubmit scilab from
> someone still able, interested, and available (Clément?)

Fine for me, we can add all the people as co-maintainers and, in the future, provide different scilab flavors/packages according to http://wiki.scilab.org/Scilab%20as%20a%20packaging%20perspective .
Comment 55 D Haley 2011-10-26 06:39:13 EDT
Hello,

I'm afraid I no longer would be able to give the package the attention it requires and deserves to maintain, as scilab is quite a complex package.

If there are small tasks that need to be investigated, I am quite happy to do so on a request basis, if a primary maintainer would find that useful.
Comment 56 Rex Dieter 2011-10-30 02:11:38 EDT
OK, let's close this one out, in lieu of a new one.
Comment 57 Sylvestre Ledru 2011-10-31 03:29:08 EDT
@Rex: that means that Clément David has to open a new bug, does he ?
Comment 58 Rex Dieter 2011-10-31 07:55:41 EDT
yes
Comment 59 Susi Lehtola 2011-11-03 05:21:34 EDT

*** This bug has been marked as a duplicate of bug 750997 ***

Note You need to log in before you can comment on or make changes to this bug.